
#import "AppConfig.h"

static AppConfig* instance;

@implementation AppConfig
@synthesize name;
@synthesize lang;


- (id) init {
    self.name = @"unknown";
    self.lang = [[NSUserDefaults standardUserDefaults] objectForKey:@"lang_sel"];
    NSLog(@"name: %@", name);
    NSLog(@"lang: %@",lang);
    return self;
}




+ (AppConfig*) getInstance {
    @synchronized([AppConfig class]) {
        if ( instance == nil ) {
            instance = [[AppConfig alloc] init];
        }
    }
    
    return instance;
}

@end
