

#import <UIKit/UIKit.h>
#import "Room.h"

@class ChattyViewController, ChatRoomViewController, WelcomeViewController;

@interface ChattyAppDelegate : NSObject <UIApplicationDelegate> {
  UIWindow *window;
  ChattyViewController *viewController;
  ChatRoomViewController *chatRoomViewController;
  WelcomeViewController *welcomeViewController;
}

@property(nonatomic, strong) IBOutlet UIWindow *window;
@property(nonatomic, strong) IBOutlet ChattyViewController *viewController;
@property(nonatomic, strong) IBOutlet ChatRoomViewController *chatRoomViewController;
@property(nonatomic, strong) IBOutlet WelcomeViewController *welcomeViewController;



+ (ChattyAppDelegate*)getInstance;


- (void)showChatRoom:(Room*)room;


- (void)showRoomSelection;

@end
